Bug 173555 - Dasher crashes on startup
Dasher crashes on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dasher (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-17 21:31 EST by Tethys
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-11 02:37:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2005-11-17 21:31:39 EST
Description of problem:

On startup, I get an empty window frame, and a dialog saying:

>The Application "dasher" has quit unexpectedly.
>
>You can inform the developers of what happened to help them fix it.
>Or you can restart the application right now.


Version-Release number of selected component (if applicable):
dasher-3.2.15-1

How reproducible:
Intermittent, probably 80% of the time.

Steps to Reproduce:
1. Type "dasher" into an xterm window...
2.
3.
  
Actual results:


Expected results:


Additional info:

With the debuginfo RPM loaded:

leto:~% gdb dasher
GNU gdb Red Hat Linux (6.3.0.0-1.84rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db lib
rary "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/dasher 
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xb7f8a000
[Thread debugging using libthread_db enabled]
[New Thread -1212295488 (LWP 15381)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1212295488 (LWP 15381)]
buildwindowtree () at accessibility.cc:464
464             tmptree->parent->next = NULL;
(gdb) bt
#0  buildwindowtree () at accessibility.cc:464
#1  0x0806f127 in buildcontroltree () at accessibility.cc:167
#2  0x08070427 in gettree () at accessibility.cc:106
#3  0x08062455 in main (argc=1, argv=0xbf987ec4) at main.cc:257
Comment 1 Tethys 2005-11-17 21:34:35 EST
As it's a crash, setting severity to high.
Comment 2 Matthias Clasen 2005-12-11 02:37:12 EST
Should be fixed

Note You need to log in before you can comment on or make changes to this bug.